Skip to main content
POST
/
powerpath
/
createNewAttempt
Create new attempt
curl --request POST \
  --url https://api.alpha-1edtech.ai/powerpath/createNewAttempt \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "student": "<string>",
  "lesson": "<string>"
}
'
{
  "attempt": {
    "attempt": 123,
    "score": 123,
    "scoreStatus": "exempt",
    "xp": 123,
    "startedAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.timeback.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
student
string
required

The sourcedId of the student

lesson
string
required

The sourcedId of the lesson (ComponentResource)

Response

Success

attempt
object
required